# Asterisk Project : Asterisk 12 Function_UNLOCK

Added by wikibot , edited by wikibot on Aug 29, 2013

# UNLOCK()

### Synopsis

Unlocks a named mutex.

### Description

Unlocks a previously locked mutex. Returns `1` if the channel had a lock or `0` otherwise.

Note

It is generally unnecessary to unlock in a hangup routine, as any locks held are automatically freed when the channel is destroyed.

### Syntax

    UNLOCK(lockname)

##### Arguments

- `lockname`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown